## qutecom 2.2.1+dfsg1

=== CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

cmake_minimum_required(VERSION 2.4.6)

project(qutecom)

# Global variables
set(APPLICATION_NAME QuteCom  CACHE STRING "Name of application")
set(APPLICATION_VERSION "2.2" CACHE STRING "Version of application")

# Split APPLICATION_VERSION into separate vars:
# If APPLICATION_VERSION is x.y.z, then APPLICATION_VERSION_1 will be x,
# APPLICATION_VERSION_2 will be y and so on.
set(tmp "${APPLICATION_VERSION}.0.0.0")
set(tmp_rx "([0-9]+)\\.([0-9]+)\\.([0-9]+)\\.([0-9]+).*")
string(REGEX REPLACE ${tmp_rx} "\\1" APPLICATION_VERSION_1 "${tmp}")
string(REGEX REPLACE ${tmp_rx} "\\2" APPLICATION_VERSION_2 "${tmp}")
string(REGEX REPLACE ${tmp_rx} "\\3" APPLICATION_VERSION_3 "${tmp}")
string(REGEX REPLACE ${tmp_rx} "\\4" APPLICATION_VERSION_4 "${tmp}")

# Add options values
include(DefineQuteComOptions.cmake)
include(DefineInstallationPaths.cmake)
include(DefineCPackDefaults.cmake)

subdirs(
	libs/3rdparty
)

if (WIN32)
	subdirs(
		libs/3rdparty/portaudio
	)
endif (WIN32)

subdirs(
	libs/owutil
	libs/qtutil
	libs/timer
	libs/pixertool
	libs/webcam
	wifo
	libs/softupdater
	libs/sound
	libs/imwrapper
    
	libs/sipwrapper
	libs/sipwrapper/src/phapi
)

if(IMWRAPPER_BACKEND_MULTI)
	subdirs(
		libs/imwrapper/src/purple
		libs/imwrapper/src/multiim
	)
endif(IMWRAPPER_BACKEND_MULTI)

subdirs(
	qutecom
    	crashreport
)

=== crashreport/CMakeLists.txt ===
ow_create_executable(owcrashreport)

ow_use_public_libraries(
	owutil
	owthread
	owsystem
	curl
	owqtutil
	owsettings
	boost
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}
)

# Because of UIC and MOC
ow_add_private_include_dirs(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
)

qt4_wrap_cpp(${PROJECT_NAME}_SRCS
	FtpUpload.h
	QtCrashReport.h
)

qt4_wrap_ui(${PROJECT_NAME}_SRCS
	CrashReport.ui
)

ow_add_sources(
	main.cpp
	FtpUpload.cpp
	QtCrashReport.cpp
)

if (WIN32)
	ow_add_private_libraries(
		qtmain.lib
	)
endif (WIN32)

# FIXME: This has been copied from qutecom/src/CMakeLists.txt, it would be
# nicer to avoid duplication.
if (LINUX)
	if (QUTECOM_RESOURCEDIR_PATH)
		ow_add_private_definitions(
			-DOW_RESOURCEDIR='"${CMAKE_INSTALL_PREFIX}/${DATA_INSTALL_DIR}"'
		)
	endif (QUTECOM_RESOURCEDIR_PATH)
endif (LINUX)

if (COPY_DATA_FILES_ON_CONFIGURE)
	ow_copy_dir_recursive(${CMAKE_CURRENT_SOURCE_DIR}/crashreport.xml ${DATA_COPY_DIR}/config)
endif (COPY_DATA_FILES_ON_CONFIGURE)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/crashreport.xml
	DESTINATION ${DATA_INSTALL_DIR}/config)

if(APPLE)
    set(PROJECT_BINARY_COPY_DIR ${BUILD_DIR}/${APPLICATION_NAME}.app/Contents/MacOS/.)
endif(APPLE)

ow_create_project_binary()

=== qutecom/CMakeLists.txt ===
# TODO : test dir

subdirs(
	src/buildid
	src
	resources
	#test
)

if (COPY_DATA_FILES_ON_CONFIGURE)
	ow_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/COPYING ${BUILD_DIR})
	# Copy AUTHORS to DATA_COPY_DIR because it's used by QtAbout
	ow_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS ${DATA_COPY_DIR}/.)
endif (COPY_DATA_FILES_ON_CONFIGURE)

=== wifo/CMakeLists.txt ===
# opt flags for phapi and plugins
if (MSVC)
	# TODO this has to be reworked
	# with comments explaining each flag
	set(PHAPI_OPTIMIZATION_FLAGS
		#/Ox
		#/Ob2
		/Oi
		/Ot
		/Oy
		#/G7 unknow option under Visual C++ 2005
		#/GX- deprecated
		/EHs-c-
		/GR-
		/arch:SSE
	)
else (MSVC)
	# TODO we need a flag on other platforms
	# maybe unroll-loops is nice to have
	set(PHAPI_OPTIMIZATION_FLAGS
		-funroll-loops
	)
endif (MSVC)

if (WIN32)
	subdirs(
		phapi/msdirent
	)
endif (WIN32)

if (PHAPI_CODEC_AMR_SUPPORT)
	subdirs(
		phapi/phamrplugin
	)
endif (PHAPI_CODEC_AMR_SUPPORT)

subdirs(
	owbase
	owsl
	netlib
	ortp
	srtp
	libosip2
	sVoIP
	eXosip/transport_manager
	eXosip
	phapi-util
	phapi/fidlib
	phapi/gsm
	phapi/g722
    phapi/g726
	phapi/amrnb
	phapi/amrwb
	phapi/speex
	phapi/speexec
	phapi/stun
	phapi/phspeexplugin
	phapi
	wifo-plugins
	phapi/pyphapi
	#miniua
	#tests/WifoPluginsConsole
)

if (PHAPI_CODEC_ILBC_SUPPORT)
	subdirs(
		phapi/ilbc
		phapi/philbcplugin
	)
endif (PHAPI_CODEC_ILBC_SUPPORT)

=== libs/3rdparty/CMakeLists.txt ===
option(CHECK_BOOST_GCC_BUG "Check for wrong combination of Boost and GCC version" ON)

if (LINUX)
	option(FFMPEG_INTERNAL "Use internal FFmpeg" OFF)
	option(SPEEX_INTERNAL "Use internal Speex" OFF)
	option(PORTAUDIO_INTERNAL "Use internal PortAudio" ON)
	option(IAXCLIENT_INTERNAL "Use internal iaxclient" ON)
	option(SAMPLERATE_INTERNAL "Use internal libsamplerate" OFF)
	option(OSIP2_INTERNAL "Use internal oSIP" ON)
	option(CURL_INTERNAL "Use internal cURL" OFF)
	option(LIBPURPLE_INTERNAL "Use internal libpurple" ON)
else (LINUX)
	option(PORTAUDIO_INTERNAL "Use internal PortAudio" ON)
	option(FFMPEG_INTERNAL "Use internal FFmpeg" ON)
	option(SPEEX_INTERNAL "Use internal Speex" ON)
	option(IAXCLIENT_INTERNAL "Use internal iaxclient" ON)
	option(SAMPLERATE_INTERNAL "Use internal libsamplerate" ON)
	option(OSIP2_INTERNAL "Use internal oSIP" ON)
	option(CURL_INTERNAL "Use internal cURL" ON)
	option(LIBPURPLE_INTERNAL "Use internal libpurple" ON)
endif (LINUX)

if (WIN32)
	if (FFMPEG_OLD_VERSION)
		subdirs(
			ffmpeg-bin-win32
		)
	else (FFMPEG_OLD_VERSION)
		subdirs(
			ffmpeg
		)
	endif (FFMPEG_OLD_VERSION)
else (WIN32)
	subdirs(
		ffmpeg
	)
endif (WIN32)

subdirs(
	pthread
	libstdcpp
	boost
	
	qt4
	libintl
	openssl
	curl
	alsa
	arts
	esd
#	ffmpeg
	tinyxml
	iconv
	zlib
	uuid
	x11
	python
	samplerate
	sndfile
	#iaxclient
	psiidle
)

if(ENABLE_UNIT_TEST)
	subdirs(
		boost-test
	)
endif(ENABLE_UNIT_TEST)

if (ENABLE_CRASHREPORT)
	subdirs(
		googlebreakpad
	)
endif (ENABLE_CRASHREPORT)

if(IMWRAPPER_BACKEND_MULTI)
	subdirs(
		glib
		libxml
		gnutls
		libpurple		
	)
endif(IMWRAPPER_BACKEND_MULTI)

#if (LINUX)
#	subdirs(
#		coredumper
#	)
#endif (LINUX)

=== libs/imwrapper/CMakeLists.txt ===
ow_create_static_library(owimwrapper)

# TODO: test
#subdirs(
	#src/gaim
	#src/multiim
	#src/tests
#)

ow_use_public_libraries(
	owsettings
)

if(IMWRAPPER_BACKEND_MULTI)
	ow_use_public_libraries(
		glib2
	)
endif(IMWRAPPER_BACKEND_MULTI)

ow_use_private_libraries(
	tinyxml
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
	${CMAKE_CURRENT_SOURCE_DIR}/src/null/
)

ow_add_sources(
	src/Account.cpp
	src/EnumIMProtocol.cpp
	src/EnumPresenceState.cpp
	src/IMAccount.cpp
	src/IMAccountList.cpp
	src/IMAccountListFileStorage.cpp
	src/IMAccountListXMLSerializer.cpp
	src/IMAccountListXMLSerializer1.cpp
	src/IMAccountParameters.cpp
	src/IMAccountParametersXMLSerializer.cpp
	src/IMAccountXMLSerializer.cpp
	src/IMAccountXMLSerializer1.cpp
	src/IMChatSession.cpp
	src/IMContact.cpp
	src/IMContactSet.cpp
	src/IMContactXMLSerializer.cpp
	src/IMContactXMLSerializer1.cpp
	src/IMWrapperFactory.cpp

	src/null/NullIMChat.cpp
	src/null/NullIMConnect.cpp
	src/null/NullIMContactList.cpp
	src/null/NullIMFactory.cpp
	src/null/NullIMPresence.cpp
)

ow_create_project_binary()

=== libs/owutil/CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

if (OWUTIL_MODULE)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/boost libs/3rdparty/boost)
	add_subdirectory(libs/3rdparty/boost)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/boost-test libs/3rdparty/boost-test)
	add_subdirectory(libs/3rdparty/boost-test)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/openssl libs/3rdparty/openssl)
	add_subdirectory(libs/3rdparty/openssl)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/tinyxml libs/3rdparty/tinyxml)
	add_subdirectory(libs/3rdparty/tinyxml)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/uuid libs/3rdparty/uuid)
	add_subdirectory(libs/3rdparty/uuid)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/curl libs/3rdparty/curl)
	add_subdirectory(libs/3rdparty/curl)
endif (OWUTIL_MODULE)

set(LIBUTIL_INCLUDE_DIRS
	${CMAKE_CURRENT_SOURCE_DIR}
)

subdirs(
	cutil
	util
	serialization
	serializer
	thread
	settings
	shlibloader
	socket
	system
	http
)

if (ENABLE_CRASHREPORT)
	subdirs(
		memorydump
	)
endif (ENABLE_CRASHREPORT)

=== libs/pixertool/CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

if (PIXERTOOL_MODULE)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owbuild/trunk/libs-3rdparty-cmakelists/ffmpeg libs/3rdparty/ffmpeg)
	add_subdirectory(libs/3rdparty/ffmpeg)
	set(OWUTIL_MODULE TRUE)
	ow_svn_checkout(https://dev.openqutecom.com/svn/openqutecom/owutil/trunk libs/owutil)
	add_subdirectory(libs/owutil)
endif (PIXERTOOL_MODULE)

ow_create_static_library(pixertool)

ow_use_public_libraries(
	owcutil
	ffmpeg
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
	${CMAKE_CURRENT_BINARY_DIR}
)

ow_add_sources(
	src/pixertool.cpp
	src/ffmpeg/ffmpeg-pixertool.c
)

if (SWSCALE_INCLUDE_DIR)
  ow_add_private_definitions(-DHAVE_SWSCALE=1)
endif (SWSCALE_INCLUDE_DIR)

if (MSVC)
	if (NOT DIRECTX_FOUND)
		find_package(DIRECTX REQUIRED)
	endif (NOT DIRECTX_FOUND)
	
	ow_add_public_include_dirs(	
		${DIRECTX_INCLUDE_DIR}	
	)
	
	ow_add_private_libraries(
		winmm
		strmiids
		comsupp
	)

	ow_add_sources(
		src/directx/directx-pixertool.cpp
	)
endif (MSVC)

if (UNIX AND NOT WIN32)
	if (APPLE)
		ow_add_sources(
			src/quicktime/quicktime-pixertool.c
		)
	else (APPLE)
		ow_add_sources(
			src/v4l/v4l-pixertool.c
			src/v4l2/v4l2-pixertool.c
		)
	endif(APPLE)
endif (UNIX AND NOT WIN32)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

ow_create_project_binary()

=== libs/qtutil/CMakeLists.txt ===
ow_create_static_library(owqtutil)

ow_use_public_libraries(
	owthread
	qt4
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

# Because of UIC and MOC
ow_add_private_include_dirs(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
)

qt4_wrap_cpp(${PROJECT_NAME}_SRCS
	include/qtutil/EventFilter.h
	include/qtutil/QObjectThreadSafe.h
	include/qtutil/NonResizeableWidget.h
	include/qtutil/QuteComStyleLabel.h
	include/qtutil/ToolTipLineEdit.h
	include/qtutil/ClickableLabel.h
	include/qtutil/Wizard.h
	include/qtutil/ThreadEventFilter.h
	include/qtutil/AnimatedButton.h
	include/qtutil/UpQComboBox.h
	include/qtutil/LinkLabel.h
	include/qtutil/ScrollFrame.h
	include/qtutil/ImageSelector.h
	include/qtutil/DropDownWindow.h
	include/qtutil/ClearLineEdit.h
	src/QtThumbnailManager.h
	src/QtThumbnailDirModel.h
)

qt4_wrap_ui(${PROJECT_NAME}_SRCS
	src/Wizard.ui
	src/ImageSelector.ui
)

qt4_add_resources(${PROJECT_NAME}_SRCS
	qtutil.qrc
)

ow_add_sources(
	src/EventFilter.cpp
	src/KeyEventFilter.cpp
	src/MouseEventFilter.cpp
	src/PaintEventFilter.cpp
	src/EnabledChangeEventFilter.cpp
	src/WidgetFactory.cpp
	src/Object.cpp
	src/QObjectThreadSafe.cpp
	src/ResizeEventFilter.cpp
	src/NonResizeableWidget.cpp
	src/StringListConvert.cpp
	src/Widget.cpp
	src/QuteComStyleLabel.cpp
	src/ToolTipLineEdit.cpp
	src/ClickableLabel.cpp
	src/WidgetBackgroundImage.cpp
	src/Wizard.cpp
	src/ThreadEventFilter.cpp
	src/PixmapMerging.cpp
	src/SafeConnect.cpp
	src/LanguageChangeEventFilter.cpp
	src/CloseEventFilter.cpp
	src/AnimatedButton.cpp
	src/DesktopService.cpp
	src/UpQComboBox.cpp
	src/LinkLabel.cpp
	src/ScrollFrame.cpp
	src/ImageSelector.cpp
	src/ThumbnailView.cpp
	src/QtThumbnailDirModel.cpp
	src/QtThumbnailManager.cpp
	src/WidgetRatioEnforcer.cpp
	src/WidgetUtils.cpp
	src/ExpandButton.cpp
	src/OsdButton.cpp
	src/FSResourceFileEngineHandler.cpp
	src/KeywordTranslator.cpp
	src/DropDownWindow.cpp
	src/IconLineEdit.cpp
	src/ClearLineEdit.cpp
)

if (APPLE)
	ow_add_sources(
		src/MacDesktopService.cpp
	)
	qt4_wrap_cpp(${PROJECT_NAME}_SRCS
		include/qtutil/MacDesktopService.h
	)
	ow_add_private_include_dirs(
		/Developer/Headers/FlatCarbon/
	)
	ow_use_public_frameworks(
		Cocoa
		Carbon
	)
endif (APPLE)

if (WIN32)
	if (MINGW)
		ow_add_private_definitions(
			-DWINVER=0x500
			-D_WIN32_IE=0x500
		)
	endif (MINGW)

	ow_add_sources(
		src/WindowsDesktopService.cpp
	)
	qt4_wrap_cpp(${PROJECT_NAME}_SRCS
		include/qtutil/WindowsDesktopService.h
	)
endif (WIN32)

if (LINUX)
	ow_use_private_libraries(
		x11
	)
endif (LINUX)

ow_create_project_binary()

if(ENABLE_UNIT_TEST)
	subdirs(
		tests
	)
endif(ENABLE_UNIT_TEST)

=== libs/sipwrapper/CMakeLists.txt ===
ow_create_static_library(owsipwrapper)

ow_use_public_libraries(
	owutil
	pixertool
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_sources(
	src/SipWrapperFactory.cpp
	src/EnumPhoneCallState.cpp
	src/EnumPhoneLineState.cpp
	src/EnumNatType.cpp
	src/EnumVideoQuality.cpp
	src/CodecList.cpp
)

ow_create_project_binary()

=== libs/skinstyle/CMakeLists.txt ===
project(owskinstyle)

include(${QT_USE_FILE})

# needed include directories to build owskinstyle
# saves the variable in internal cache for later use
set(OWSKINSTYLE_INCLUDE_DIRS
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${OWCUTIL_INCLUDE_DIRS}
  ${OWQTUTIL_INCLUDE_DIRS}
  ${QT_INCLUDE_DIR}
  CACHE INTERNAL "owskinstyle include directories"
)

set(OWSKINSTYLE_LIBRARY
  owskinstyle
  CACHE INTERNAL "owskinstyle library"
)

# owskinstyle lib and dependencies
set(OWSKINSTYLE_LINK_LIBRARIES
  ${OWSKINSTYLE_LIBRARY}
  ${OWCUTIL_LIBRARY}
  ${OWQTUTIL_LIBRARY}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
)

qt4_wrap_cpp(owskinstyle_SRCS
  src/SkinStyle.h
  src/SkinInfoReader.h
  src/SkinWidget.h
  src/SkinWindow.h
  src/SkinButton.h
)

set(owskinstyle_SRCS
  ${owskinstyle_SRCS}
  src/SkinStyle.cpp
  src/SkinInfoReader.cpp
  src/SkinWidget.cpp
  src/SkinWindow.cpp
  src/SkinButton.cpp
)

include_directories(
  ${OWSKINSTYLE_INCLUDE_DIRS}
)
add_library(${OWSKINSTYLE_LIBRARY} STATIC ${owskinstyle_SRCS})

target_link_libraries(${OWSKINSTYLE_LINK_LIBRARIES})

=== libs/softupdater/CMakeLists.txt ===
ow_create_static_library(owsoftupdater)

ow_use_public_libraries(
	owhttp
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_sources(
	src/SoftUpdater.cpp
)

ow_create_project_binary()

=== debian/changelog ===
qutecom (2.2.1+dfsg1-5.2ubuntu2) wily; urgency=medium

  * No-change rebuild against libtinyxml2.6.2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 20:53:47 +0000

qutecom (2.2.1+dfsg1-5.2ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Hardcode -pthread instead of detecting and attempting (incorrectly) to
      insert -lpthread willy-nilly.
    - Fix missing mem.h headers in phapi.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Nov 2014 17:03:32 +0000

qutecom (2.2.1+dfsg1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libgnutls28-dev instead of libgnutls-dev. (Minimally
    invasive fix, the cmake build-system searches for and requires gnutls,
    however it does not link anything against it.)
    Closes: #764107

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Oct 2014 13:14:40 +0200

qutecom (2.2.1+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add find-qt4-cmake30.patch to fix FTBFS with cmake 3.0. (Closes: #758545)
  * Add fix-missing-qt-include.patch to fix FTBFS with QtWebkit 2.3.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 10 Sep 2014 12:02:55 +0200

qutecom (2.2.1+dfsg1-5ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:23:50 +0100

qutecom (2.2.1+dfsg1-5ubuntu1) utopic; urgency=medium

  * Merge from debian, remaining changes:
    - Fix missing include QtCore/QTimer.
    - pthread-link.patch: Hardcode -pthread instead of detecting
    and attempting (incorrectly) to insert -lpthread willy-nilly.
    - Fix missing mem.h headers in phapi.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 23 Jun 2014 09:42:08 +0100

qutecom (2.2.1+dfsg1-5) unstable; urgency=medium

  * Add libav10.patch by Anton Khirnov to fix FTBFS with libav10
    (Closes: #739427).
  * Update Standards-Version to 3.9.5.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 01 Mar 2014 00:16:27 -0800

qutecom (2.2.1+dfsg1-4ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 09:11:48 +0100

qutecom (2.2.1+dfsg1-4ubuntu2) trusty; urgency=low

  * Fix missing mem.h headers in phapi.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 02:36:08 +0000

qutecom (2.2.1+dfsg1-4ubuntu1) trusty; urgency=low

  * Merge from debian remaining changes:
    - Fix missing include QTimer.
    - pthread-link.patch: Hardcode -pthread instead of detecting
    and attempting (incorrectly) to insert -lpthread willy-nilly.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 01:36:18 +0000

qutecom (2.2.1+dfsg1-4) unstable; urgency=low

  * Add patches (Closes: #693560, LP: #1080176):
    - build.patch fixes FTBFS in latest sid
    - libav9.8.patch fixes FTBFS realates to libav 9
  * Add libboost-system-dev as build dependency.
  * Change Vcs fileds to canonical form.
  * Fix typo in copyright.
  * Update  Standards-Version to 3.9.4.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 30 Aug 2013 18:55:51 +0200

qutecom (2.2.1+dfsg1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix-missing-X11.patch: Link against X11 for XInitThreads.
    (Closes: #713733)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Jul 2013 19:07:02 +0200

qutecom (2.2.1+dfsg1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/
    - glib-single-include.patch: Apply patch from Michael Biebl to fix FTBFS
      with newer glib. (Closes: #665603)
    - eglibc-2.17.patch: Fix FTBFS with eglibc 2.17 providing TIME_UTC.
      (Closes: #710605)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 01 Jun 2013 20:36:10 +0200

qutecom (2.2.1+dfsg1-3ubuntu3) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:39 +0100

qutecom (2.2.1+dfsg1-3ubuntu2) saucy; urgency=low

  * Use correct TIME_UTC_ symbol.
  * Link against boost_system.
  * Link against x11.
  * Fix missing include QTimer.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 May 2013 17:14:38 +0100

qutecom (2.2.1+dfsg1-3ubuntu1) quantal; urgency=low

  * glib-single-include.patch: Fix FTBFS against new glib that no
    longer allows the linking of glib.h over individual headers.
  * pthread-link.patch: Hardcode -pthread instead of detecting
    and attempting (incorrectly) to insert -lpthread willy-nilly.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Jun 2012 18:04:27 -0600

qutecom (2.2.1+dfsg1-3) unstable; urgency=low

  * Add format-string-security.patch to fix GCC format string warnings
    (Closes: #643462).
  * Add find-ffmpeg-pkgconfig.patch to fix FTBFS for multi-arch libav*
    libraries.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 09 Oct 2011 16:54:56 -0700

qutecom (2.2.1+dfsg1-2) unstable; urgency=low

  * Add curl-include-fix-ftbfs.patch to fix missing FTBS due to a header file
    removed from curl (Closes: #638318).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 18 Aug 2011 22:02:41 -0700

qutecom (2.2.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches applied upstream:
    - fix-include-case.patch
    - fix-linking-binutils-gold.patch
    - typos-grammar-fixes.patch
  * Drop dependecy on quilt (as we are using source version 3).
  * Update Standards-Version to 3.9.2.
  * Add use-external-tinyxml.patch to link agaist system libtinyxml (and
    depend on it).
  * Add new-avcodec-api.patch to build with new libav 0.7 API (LP: #791275).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 16 Jul 2011 12:32:23 -0700

qutecom (2.2+dfsg1-5) unstable; urgency=low

  * Add new-videodev.patch (fix for moved videodev.h) and B-D on libc4l-dev
    (Closes: #623549).
  * Add find-glibconfig.patch to handle new location of glibconfig.h by
    Andreas Moog (LP: #756051).
  * Update Vcs fields from SVN to Git.
  * Revert to first B-D on libqtwebkit-dev.



=== debian/control ===
Source: qutecom
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>, Ludovico Cavedon <cavedon@debian.org>
Build-Depends: cdbs (>= 0.4.27), bzip2, debhelper (>= 7),
 patchutils (>= 0.2.25), cmake (>= 2.6), libqt4-dev (>= 4:4.5),
 libqtwebkit-dev | libqt4-dev (<< 4:4.7),
 libglib2.0-dev (>= 2.10.3), libavcodec-dev (>= 0.cvs20060823-3.1),
 libswscale-dev (>= 0.cvs20060823-3.1), libgnutls28-dev,
 libboost-serialization-dev, libboost-thread-dev, libboost-signals-dev,
 libboost-program-options-dev, libboost-system-dev, uuid-dev,
 libasound2-dev (>= 1.0.11), libspeex-dev (>= 1.1.12), libssl-dev (>= 0.9.8a),
 libxml2-dev (>= 2.6.24), libsamplerate0-dev (>= 0.1.2),
 libsndfile1-dev (>= 1.0.12), libcurl4-openssl-dev (>= 7.16.1),
 dpkg-dev (>= 1.13.19), libx11-dev, python-dev, libpurple-dev (>= 2.6.6),
 libv4l-dev, libtinyxml-dev
Build-Conflicts: qt3-dev-tools
Standards-Version: 3.9.5
Homepage: http://www.qutecom.org/
Vcs-Git: git://anonscm.debian.org/pkg-voip/qutecom.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/qutecom.git

Package: qutecom
Architecture: any
Depends: qutecom-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: wengophone, qutecom-data (<< 2.2~rc3.dfsg1-5)
Description: SIP-based software telephone with video and chat features
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.

Package: qutecom-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qutecom (>= ${source:Version})
Replaces: wengophone, qutecom (<< 2.2~rc3.dfsg1-3)
Description: SIP-based software telephone with video and chat features (data files)
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package contains architecture independet data, like images and sounds.

Package: qutecom-dbg
Architecture: any
Section: debug
Priority: extra
Depends: qutecom (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SIP-based software telephone with video and chat features (debug files)
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package contains debug symbols, useful to debug qutecom.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DESTDIR=$(CURDIR)/debian/qutecom
DEB_DH_STRIP_ARGS := --dbg-package=qutecom-dbg

DEB_INSTALL_DOCS_qutecom := $(CURDIR)/qutecom/AUTHORS

DEB_CMAKE_EXTRA_FLAGS := -DQT_UIC_EXECUTABLE=/usr/bin/uic-qt4 \
	-DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	-DCMAKE_INSTALL_RPATH=/usr/lib/qutecom \
	-DCMAKE_SKIP_RPATH=FALSE \
	-DOWSOUND_PORTAUDIO_SUPPORT=OFF \
	-DFFMPEG_INTERNAL=OFF \
	-DSPEEX_INTERNAL=OFF \
	-DSAMPLERATE_INTERNAL=OFF \
	-DCURL_INTERNAL=OFF \
	-DLIBPURPLE_INTERNAL=OFF \
	-DPHAPI_VIDEO_SUPPORT=ON \
	-DHAVE_SWSCALE=1


ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=RelWithDebInfo
else
	DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=Debug
endif

ifeq ($(DEB_HOST_ARCH), i386)
        DEB_CMAKE_EXTRA_FLAGS += -DENABLE_CRASHREPORT=ON
else
	DEB_CMAKE_EXTRA_FLAGS += -DENABLE_CRASHREPORT=OFF
endif


# Avoid postinst-has-useless-call-to-ldconfig and pkg-has-shlibs-control-file-but-no-actual-shared-libs
DEB_DH_MAKESHLIBS_ARGS_qutecom := -Xsfp

common-install-impl::
	mkdir -p $(DEB_DESTDIR)-data/usr/share/
	rm $(DEB_DESTDIR)/usr/share/qutecom/chat/Renkoo\ LICENSE.txt*
	mv $(DEB_DESTDIR)/usr/share/* $(DEB_DESTDIR)-data/usr/share/
	mv $(DEB_DESTDIR)-data/usr/share/applications $(DEB_DESTDIR)/usr/share/

install/qutecom::
	mkdir -p $(DEB_DESTDIR)/usr/share/qutecom
	ln -s /usr/share/doc/qutecom/AUTHORS $(DEB_DESTDIR)/usr/share/qutecom

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
SRCVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[.0-9]*$$//')
UPVERSION:=$(shell echo $(SRCVERSION) | sed -e 's/-svn.*$$//' -e 's/[\.+~]dfsg.*$$//')

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Source version:          $(SRCVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading version $(UPVERSION)
	@@chmod +x debian/get-orig-source.sh
	debian/get-orig-source.sh $(SRCVERSION) $(UPVERSION)

=== debian/watch ===
version=3

opts="uversionmangle=s/-RC/~rc/,dversionmangle=s/\.dfsg\d+//" http://www.qutecom.com/downloads/[Qq]ute[Cc]om-(.*).tar.gz
